Subject: Re: [PATCH v2 1/7] netfilter: ipset: refactor deprecated strncpy

From: Florian Westphal <[email-masked]>
Date: Wed, 9 Aug 2023 23:58:46 +0200

Justin Stitt <[email-masked]> wrote:
> On Wed, Aug 9, 2023 at 1:19 PM Florian Westphal <[email-masked]> wrote:
> >
> > Justin Stitt <[email-masked]> wrote:
> > > Use `strscpy_pad` instead of `strncpy`.
> >
> > I don't think that any of these need zero-padding.
> It's a more consistent change with the rest of the series and I don't
> believe it has much different behavior to `strncpy` (other than
> NUL-termination) as that will continue to pad to `n` as well.
> 
> Do you think the `_pad` for 1/7, 6/7 and 7/7 should be changed back to
> `strscpy` in a v3? I really am shooting in the dark as it is quite
> hard to tell whether or not a buffer is expected to be NUL-padded or
> not.

No, you can keep it as-is.  Which tree are you targetting with this?